Bug 1274167 - [abrt] muon-discover: QtPrivate::RefCount::ref(): muon-discover killed by SIGSEGV
[abrt] muon-discover: QtPrivate::RefCount::ref(): muon-discover killed by SIG...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: muon (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cb1c87f8ffe8fa157ec191a3a45...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 03:43 EDT by Mustafa Muhammad
Modified: 2016-12-20 10:05 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:05:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.60 KB, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details
File: core_backtrace (14.72 KB, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details
File: dso_list (18.18 KB, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details
File: environ (1.71 KB, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details
File: maps (89.18 KB, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details
File: mountinfo (3.48 KB, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details
File: open_fds (1.77 KB, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details
File: var_log_messages (317 bytes, text/plain)
2015-10-22 03:43 EDT, Mustafa Muhammad
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 354562 None None None Never

  None (edit)
Description Mustafa Muhammad 2015-10-22 03:43:27 EDT
Description of problem:
I started installing yakuake, then after seeing it not progressing I pressed install again.

Version-Release number of selected component:
muon-discover-5.4.2-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /bin/muon-discover
crash_function: QtPrivate::RefCount::ref
executable:     /usr/bin/muon-discover
global_pid:     3229
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QtPrivate::RefCount::ref at /usr/include/qt5/QtCore/qrefcount.h:54
 #1 QString::QString at /usr/include/qt5/QtCore/qstring.h:878
 #2 PackageKitResource::installedPackageId at ../../../../libmuon/backends/PackageKitBackend/PackageKitResource.cpp:68
 #3 PackageKitResource::availablePackageId at ../../../../libmuon/backends/PackageKitBackend/PackageKitResource.cpp:63
 #4 PKTransaction::start at ../../../../libmuon/backends/PackageKitBackend/PKTransaction.cpp:46
 #5 ResourcesModel::qt_static_metacall at moc_ResourcesModel.cpp:157
 #6 ResourcesModel::qt_metacall at moc_ResourcesModel.cpp:264
 #7 QQmlObjectOrGadget::metacall at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/qml/qqmlpropertycache.cpp:1689
 #8 CallMethod at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/jsruntime/qv4qobjectwrapper.cpp:1160
 #9 CallPrecise at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/jsruntime/qv4qobjectwrapper.cpp:1409
Comment 1 Mustafa Muhammad 2015-10-22 03:43:32 EDT
Created attachment 1085423 [details]
File: backtrace
Comment 2 Mustafa Muhammad 2015-10-22 03:43:34 EDT
Created attachment 1085424 [details]
File: cgroup
Comment 3 Mustafa Muhammad 2015-10-22 03:43:36 EDT
Created attachment 1085425 [details]
File: core_backtrace
Comment 4 Mustafa Muhammad 2015-10-22 03:43:38 EDT
Created attachment 1085426 [details]
File: dso_list
Comment 5 Mustafa Muhammad 2015-10-22 03:43:40 EDT
Created attachment 1085427 [details]
File: environ
Comment 6 Mustafa Muhammad 2015-10-22 03:43:42 EDT
Created attachment 1085428 [details]
File: exploitable
Comment 7 Mustafa Muhammad 2015-10-22 03:43:44 EDT
Created attachment 1085429 [details]
File: limits
Comment 8 Mustafa Muhammad 2015-10-22 03:43:47 EDT
Created attachment 1085430 [details]
File: maps
Comment 9 Mustafa Muhammad 2015-10-22 03:43:49 EDT
Created attachment 1085431 [details]
File: mountinfo
Comment 10 Mustafa Muhammad 2015-10-22 03:43:50 EDT
Created attachment 1085432 [details]
File: open_fds
Comment 11 Mustafa Muhammad 2015-10-22 03:43:52 EDT
Created attachment 1085433 [details]
File: proc_pid_status
Comment 12 Mustafa Muhammad 2015-10-22 03:43:54 EDT
Created attachment 1085434 [details]
File: var_log_messages
Comment 13 satellitgo 2015-10-26 13:28:25 EDT
tried to install thunderbird in fully updated f23 RC-3 live KDE x86_64 install. with muon install failed  Had previous install of xchat work on same session.
Comment 14 Adam Williamson 2015-10-26 14:12:53 EDT
Another user experienced a similar problem:

Hit this two ways in muon-discover:

1. Install F23 KDE Live i686. Open muon. Search for Kate, click 'Install'. It seems to do something, then returns to showing Kate with an 'Install' button. Click the 'Install' button again. Crash.

2. After the crash, run muon again. See that Kate is shown as installed. Click 'Remove'. Enter admin credential. Removal fails ('operation not supported'), then shows Kate with a 'Remove' button again. Click the 'Remove' button. Crash.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /bin/muon-discover
crash_function: QtPrivate::RefCount::ref
executable:     /usr/bin/muon-discover
global_pid:     1980
kernel:         4.2.3-300.fc23.i686
package:        muon-discover-5.4.2-1.fc23
reason:         muon-discover killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Elia Devito 2015-10-29 10:15:45 EDT
I reported it on kde bugzilla

https://bugs.kde.org/show_bug.cgi?id=354562
Comment 16 Rex Dieter 2015-10-29 10:55:17 EDT
thanks
Comment 17 Fedora End Of Life 2016-11-24 07:52:11 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 10:05:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.